package com.ltgk.boat.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ltgk.boat.domain.entity.DsEnterPortCountry;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface DsEnterPortCountryMapper extends BaseMapper<DsEnterPortCountry> {
    int deleteByPrimaryKey(String id);

    int insert(DsEnterPortCountry record);

    int insertSelective(DsEnterPortCountry record);

    DsEnterPortCountry selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(DsEnterPortCountry record);

    int updateByPrimaryKey(DsEnterPortCountry record);
}